> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inspection

> Get QC inspection by ID with defects.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/qc/{inspection_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/qc/{inspection_id}:
    get:
      tags:
        - Quality Control
      summary: Get Inspection
      description: Get QC inspection by ID with defects.
      operationId: get_inspection_api_v1_qc__inspection_id__get
      parameters:
        - name: inspection_id
          in: path
          required: true
          schema:
            type: string
            title: Inspection Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QCInspectionResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QCInspectionResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        productionOrderId:
          type: string
          title: Productionorderid
        inspectionDate:
          type: string
          title: Inspectiondate
        inspectorName:
          type: string
          title: Inspectorname
        inspectionType:
          type: string
          title: Inspectiontype
        totalInspected:
          type: integer
          title: Totalinspected
        totalPassed:
          type: integer
          title: Totalpassed
        totalDefective:
          type: integer
          title: Totaldefective
        defectRate:
          type: number
          title: Defectrate
        status:
          type: string
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          type: string
          title: Createdat
        updatedAt:
          type: string
          title: Updatedat
        defects:
          items:
            $ref: '#/components/schemas/QCDefectResponse'
          type: array
          title: Defects
          default: []
      type: object
      required:
        - id
        - orgId
        - productionOrderId
        - inspectionDate
        - inspectorName
        - inspectionType
        - totalInspected
        - totalPassed
        - totalDefective
        - defectRate
        - status
        - createdAt
        - updatedAt
      title: QCInspectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QCDefectResponse:
      properties:
        id:
          type: string
          title: Id
        defectType:
          type: string
          title: Defecttype
        defectDescription:
          type: string
          title: Defectdescription
        severity:
          type: string
          title: Severity
        quantity:
          type: integer
          title: Quantity
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Imageurl
        createdAt:
          type: string
          title: Createdat
      type: object
      required:
        - id
        - defectType
        - defectDescription
        - severity
        - quantity
        - createdAt
      title: QCDefectResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````